[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# FindControl

Return the TWinControl for the given Handle.

## Declaration

Source position: controls.pp line 2733

`function FindControl(`
`Handle: HWND`
`):TWinControl;`

## Arguments

`Handle` |  | Handle for the control (or child control) used to locate the control in the return value.

## Function result

TWinControl with the specified handle, or Nil if the handle is not found.

## Description

The result is very interface specific; use FindOwnerControl when Handle may be a non-TWinControl handle. Handle can also be a child handle, and does not need to be the Handle property of the Result.

Important: In most cases, Result.Handle and the Handle parameter value are not the same.

## See also

FindOwnerControl |  | Returns the TWinControl for the given Handle; the parent control for a non-TWinControl Handle.
GetProp |  | Retrieves an property value for a window.